---

#
# JSON Schema definition for tmt `warnings.yaml` file
# Linked to `tmt.log.RunWarningEntry`
#

$id: /schemas/warnings
$schema: https://json-schema.org/draft-07/schema

definitions:
  warning-entry:
    type: object
    additionalProperties: false
    properties:
      msg:
        type: string
      logger:
        type: string
      trace:
        type: string
      source:
        type: string
      reason:
        type: string
    required:
      - msg
      - logger
      - trace

type: array
items:
  $ref: "#/definitions/warning-entry"
